﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using Windows.UI.Xaml.Media.Imaging;


namespace autoCompltSampApp
{
    /// <summary>
    /// 可用于自身或导航至 Frame 内部的空白页。
    /// </summary>
    public sealed partial class MainPage : Page
    {
        string[] arrsrc = new string[]
        {
            "as", "at","above","cat","come","flag","girl","good","tool","too","look","book","socket","yellow","you","window","wave"
        };

        ExpInfo[] exps =
        {
            new ExpInfo { ExpName="申通快递",PhoneNo="95543", ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/st.gif?version=201504201500")) },
            new ExpInfo { ExpName="顺丰速运",PhoneNo="95338",ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/sf.gif?version=201504201500")) },
                        new ExpInfo { ExpName="韵达快递",PhoneNo="95546",ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/yd.gif?version=201504201500")) },
            new ExpInfo {ExpName="圆通速递",PhoneNo="95554",ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/yt.gif?version=201504201500")) },
            new ExpInfo {ExpName="中通速递",PhoneNo="95311 / 4008-270-270",ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/zt.gif?version=201504201500")) },
            new ExpInfo {ExpName="EMS快递", PhoneNo="11183", ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/ems.gif?version=201504201500")) },
            new ExpInfo { ExpName="天天快递", PhoneNo="4001-888-888", ExpIcon=new BitmapImage(new Uri("http://cdn.kuaidi100.com/images/frame/baidu/all/tt.gif?version=201504201500")) }
        };
        public MainPage()
        {
            this.InitializeComponent();
            ab1.ItemsSource = arrsrc;
            ab2.ItemsSource = exps;
        }


        private void ab1_QuerySubmitted(AutoSuggestBox sender, AutoSuggestBoxQuerySubmittedEventArgs args)
        {
            tbmsgForAb1.Text = $"你要查询的内空：{args.QueryText}。";
        }

        private void ab1_SuggestionChosen(AutoSuggestBox sender, AutoSuggestBoxSuggestionChosenEventArgs args)
        {
            string s = args.SelectedItem as string;
            // 将从下拉列表中选择的项放入输入框
            sender.Text += s ?? string.Empty;
        }

        private void ab2_QuerySubmitted(AutoSuggestBox sender, AutoSuggestBoxQuerySubmittedEventArgs args)
        {
            tbForab2.Text = args.QueryText;
        }

    }

    public class ExpInfo
    {
        public string ExpName { get; set; }
        public string PhoneNo { get; set; }
        public ImageSource ExpIcon { get; set; }
    }
}
